Bug 1196200 - Encrypted swap partition not used after installation
Summary: Encrypted swap partition not used after installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vratislav Podzimek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-25 13:18 UTC by Jiri Kortus
Modified: 2015-03-07 00:06 UTC (History)
6 users (show)

Fixed In Version: anaconda-22.20.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-07 00:06:07 UTC


Attachments (Terms of Use)
Kickstart configuration file (1.66 KB, text/plain)
2015-02-25 13:18 UTC, Jiri Kortus
no flags Details
anaconda.log (12.45 KB, text/plain)
2015-02-25 13:19 UTC, Jiri Kortus
no flags Details
program.log (37.94 KB, text/plain)
2015-02-25 13:19 UTC, Jiri Kortus
no flags Details
storage.log (120.58 KB, text/plain)
2015-02-25 13:20 UTC, Jiri Kortus
no flags Details

Description Jiri Kortus 2015-02-25 13:18:00 UTC
Created attachment 995204 [details]
Kickstart configuration file

Description of problem:
Launched kickstart installation with partitioning scheme containing encrypted LVs (one of them for swap). All of the partitions/LVs are created as expected after installation, including encryption, however the swap LV isn't in use and there is no record for the swap LV in /etc/fstab.

Version-Release number of selected component (if applicable):
Fedora 21

How reproducible:
Install Fedora 21, create a PV containing: 1. LV for /, 2. encrypted LV for /home, 3. encrypted LV for swap (see the attached kickstart file)

Steps to Reproduce:
1. Install Fedora 21 (see the attached kickstart file), create a PV containing: a) /boot (primary), b) LVM PV containing b1) LV for /, b2) encrypted LV for /home, b3) encrypted LV for swap (with the same passphrase for both LVs)
2. After reboot, check whether swap is in use (swapon -s)
3. Check the content of /etc/fstab

Actual results:
There is no record for the swap LV in /etc/fstab, nor is the swap LV active.

Expected results:
The swap LV should have been in use (should be listed in /proc/swaps or after running swapon -s) and there should have been a line describing the swap LV in /etc/fstab.

Additional info:
The same behavior could be seen as well with plain partitions (without LVM) - just comment out the logvol* and volgroup lines in favor of the part* lines in the kickstart config file.

Comment 1 Jiri Kortus 2015-02-25 13:19:07 UTC
Created attachment 995205 [details]
anaconda.log

Comment 2 Jiri Kortus 2015-02-25 13:19:41 UTC
Created attachment 995206 [details]
program.log

Comment 3 Jiri Kortus 2015-02-25 13:20:09 UTC
Created attachment 995207 [details]
storage.log

Comment 4 Fedora Update System 2015-03-03 23:33:52 UTC
python-blivet-1.0.1-1.fc22, anaconda-22.20.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/anaconda-22.20.2-1.fc22,python-blivet-1.0.1-1.fc22

Comment 5 Fedora Update System 2015-03-04 21:08:14 UTC
Package python-blivet-1.0.1-1.fc22, anaconda-22.20.2-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-blivet-1.0.1-1.fc22 anaconda-22.20.2-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-3110/anaconda-22.20.2-1.fc22,python-blivet-1.0.1-1.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-05 00:07:32 UTC
anaconda-22.20.3-1.fc22, python-blivet-1.0.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-blivet-1.0.2-1.fc22,anaconda-22.20.3-1.fc22

Comment 7 Fedora Update System 2015-03-05 14:09:11 UTC
anaconda-22.20.2-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/anaconda-22.20.2-1.fc22

Comment 8 Fedora Update System 2015-03-07 00:06:07 UTC
anaconda-22.20.2-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.